# frozen_string_literal: true

require 'apiphobic/authorization/resource'
require 'apiphobic/rails/api_controller_compatibility'
require 'erratum/rescuable_resource'
require 'erratum/verifiable_resource'

module  Apiphobic
module  Rails
module  Controller
  def self.included(base)
    base.include Erratum::RescuableResource
    base.include Erratum::VerifiableResource
    base.include Apiphobic::Authorization::Resource
    base.include Apiphobic::Rails::ApiControllerCompatibility
  end
end
end
end
